Skip to main content

Search Pointer

Search Pointer​

Each person returned in an API response will have a special attribute called β€œsearch pointer.” This string can be used for two purposes:

  • If the person was a possible person, run a follow-up search, which will pull up more data about this person.
  • If the person was a match, use the search pointer to cache a reference to this person. Searching by the search pointer will almost always return the same person again.

Because search pointers can be very long, searches made with them should be made via POST with the search pointer included in the request body. Requests using GET or with POST and the search pointer embedded directly in the URL are likely to return HTTP 414 Request-URI too long errors. We suggest using our Postman collection to test out Search Pointers with HTTP POST.

Example​

Replace SEARCH_POINTER_STRING with a valid search pointer.

curl https://api.pipl.com/search/ \
-d search_pointer='SEARCH_POINTER_STRING' \
-d key=YOURKEY